### Method

# Malcontent Manager set_web_filter

since: 0.14.0

#### Declaration [src]

    gboolean
    mct_manager_set_web_filter (
      MctManager* self,
      uid_t user_id,
      MctWebFilter* web_filter,
      MctManagerSetValueFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronous version of `mct_manager_set_web_filter_async()`.

Available since: 0.14.0

#### Parameters

`user_id`

  Type: `uid_t`

  ID of the user to set the web_filter for, typically coming from `getuid()`.

`web_filter`

  Type: `MctWebFilter`

  The web filter to set for the user.

  The data is owned by the caller of the method.

`flags`

  Type: `MctManagerSetValueFlags`

  Flags to affect the behaviour of the call.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

True on success, false otherwise.